Nudgescribe API Reference
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customer Groups
  • Nudgescribe API
  • Authentication
    • Authentication
    • Authenticate
      POST
    • Re-Authenticate
      GET
  • Content
    • Customers
      • Customer Management
      • Upload and Validate Customer Data
      • Get pages
      • Get Customers
      • Delete Customers
    • Customer Groups
      • Customer Groups
      • Create Customer Group
        PUT
      • Get Customer Groups
        POST
      • Update Customer Group
        PATCH
      • Delete Customer Group
        DELETE
    • Customer Profile Fields
      • Customer Profile Fields
      • Create a Custom Profile Field
      • Get Customer Profile Fields for a Workspace
      • Update Custom Fields
      • Delete Custom Fields
  • Campaigns
    • Campaign Messages
      • Campaign Messages
      • Get All Accounts Campaigns
      • Publish Messages to Secure Storage
      • Get Campaign Messages Pages
      • Retrieve Published Messages
    • Campaign Reruns
      • Campaign Reruns
      • Get Campaign Rerun History
      • Get Run Messages
      • Initiate Campaign Rerun
  1. Customer Groups

Get Customer Groups

POST
https://client-api.nudgescribe.com/v1/cg
ContentCustomer GroupsCustomer GroupCustomersCustomerGet
Retrieves all customer groups within your workspace, providing complete information about your customer segmentation structure.
Enables your application to understand and display the current customer segmentation setup, supporting UI elements like dropdowns, analytics dashboards, and customer assignment interfaces.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🔴500Server Error
🟠403Unauthorised
🟠401Missing Fields
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://client-api.nudgescribe.com/v1/cg' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "workspace_id": "your-workspace-id"
}'
Response Response Example
200 - Example 1
[
    {
        "customer_group_id": "string",
        "account_id": "string",
        "workspace_id": "string",
        "group_name": "string",
        "created_at": "string",
        "updated_at": "string",
        "created_by": "string",
        "updated_by": "string"
    }
]
Modified at 2026-01-29 13:09:11
Previous
Create Customer Group
Next
Update Customer Group
Built with